package com.persagy.dmp.dic.controller;

import cn.hutool.core.util.StrUtil;
import com.persagy.dmp.common.constant.ResponseCode;
import com.persagy.dmp.common.exception.BusinessException;
import com.persagy.dmp.common.model.response.CommonResult;
import com.persagy.dmp.common.model.response.PageList;
import com.persagy.dmp.common.utils.ResultHelper;
import com.persagy.dmp.dic.entity.DictData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 字典数据
 * @author:linhuili
 * @date:2021/6/10
 */
@RestController
@RequestMapping(value = "/dic/data/")
public class DictDataController {

    @Autowired
    private com.persagy.dmp.dic.service.DictDataService DictDataService;

    @PostMapping("/create")
    public CommonResult<DictData> create(@RequestBody DictData DictData) {
        if(StrUtil.isBlank(DictData.getDictTypeId())){
            throw new BusinessException(ResponseCode.A0400.getCode(), ResponseCode.A0400.getDesc());
        }
        DictData content = DictDataService.create(DictData);
        return ResultHelper.single(content);
    }

    @PostMapping("/update")
    public CommonResult<DictData> update(@RequestBody DictData DictData) {
        if(StrUtil.isBlank(DictData.getDictTypeId())|| StrUtil.isBlank(DictData.getId()) ){
            throw new BusinessException(ResponseCode.A0400.getCode(), ResponseCode.A0400.getDesc());
        }
        DictData content = DictDataService.update(DictData);
        return ResultHelper.single(content);
    }

    @PostMapping("/delete")
    public CommonResult<DictData> delete(@RequestBody DictData DictData) {
        if(StrUtil.isBlank(DictData.getDictTypeId()) || StrUtil.isBlank(DictData.getId()) ){
            throw new BusinessException(ResponseCode.A0400.getCode(), ResponseCode.A0400.getDesc());
        }
        DictData content = DictDataService.delete(DictData);
        return ResultHelper.single(content);
    }

    @PostMapping("/query")
    public CommonResult<PageList<DictData>> query(@RequestBody DictData DictData) {
        List<DictData> content = DictDataService.query(DictData);
        return ResultHelper.multi(content);
    }
}
