package com.persagy.dmp.digital.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dmp.digital.entity.ObjectRelation;

import java.util.List;

/**
 * 关系数据 接口
 * @author Charlie Yu
 * @date 2021-07-08
 */
public interface IObjectRelationService {

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<ObjectRelation> queryByCondition(Wrapper<ObjectRelation> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectRelation> queryWrapper);

    /**
     * 新增
     * @param voList 待新增数据
     * @return 新增后数据
     */
    List<ObjectRelation> insert(List<ObjectRelation> voList);

    /**
     * 修改
     * @param voList 待修改数据
     * @return 修改后数据
     */
    List<ObjectRelation> update(List<ObjectRelation> voList);

    /**
     * 删除
     * @param idList 主键
     */
    void delete(List<String> idList);
}
